%define beta beta6

Name: jamin
Version: 0.95.0
Release: alt0.5%beta

Summary: JAMin is a Realtime Mastering Processor
Summary(ru_RU.KOI8-R): JAMin --    
License: GPL
Group: Sound
Url: http://%name.sourceforge.net

Source: http://prdownloads.sourceforge.net/%name/%name-%version-%beta.tar.gz

%define desktop_file_utils_ver 0.8
%define shared_mime_info_ver 0.15

Requires(post,postun): shared-mime-info >= %shared_mime_info_ver
Requires(post,postun): desktop-file-utils >= %desktop_file_utils_ver
Requires: ladspa-swh-plugins >= 0.4.11
Requires: jackd

BuildPreReq: ladspa_sdk
BuildPreReq: desktop-file-utils >= %desktop_file_utils_ver
BuildPreReq: shared-mime-info >= %shared_mime_info_ver
BuildPreReq: menu-devel

# Automatically added by buildreq on Tue Dec 28 2004
BuildRequires: XFree86-libs fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel intltool jackit-devel libatk-devel libfftw3-devel libgtk+2-devel liblo-devel libpango-devel libstdc++-devel libxml2-devel perl-XML-Parser pkgconfig zlib-devel

%description
JAMin is a realtime mastering processor designed to bring out the detail
in recorded music and provide the final layer of polish. Every effort
has been made to ensure a clean, distortion-free signal path. All
processing elements use linear-phase filtering, ensuring that no phase
distortion is introduced. JAMin uses the JACK Audio Connection Kit, a
low-latency audio server, which can connect a number of different
applications to an audio device, and also allow them to share audio
among themselves.

%description -l ru_RU.KOI8-R
JAMin -- ,    JACK, 
    ,  
  .      
: 1024-     
   , 31- 
, 3- , 3- 
, lookahead- (),   
 .

%prep
%setup -q -n %name-%version-%beta

%build
%configure
%make_build

%install
%make_install DESTDIR=%buildroot install

# menu
%__mkdir_p %buildroot%_menudir
freedesktop2menu.pl "%name" "Multimedia/Sound" \
    %buildroot%_datadir/applications/%name.desktop \
    %buildroot%_menudir/%name

# remove none-packaged files
%__rm -f %buildroot%_ladspa_path/*.la

%find_lang %name

%post
%update_mimedb
%update_desktopdb
%update_menus

%postun
%clean_mimedb
%clean_desktopdb
%clean_menus

%files -f %name.lang
%_bindir/*
%_datadir/applications/*
%_datadir/mime/packages/*
%_datadir/%name
%_iconsdir/*
%_ladspa_path/*.so
%_man1dir/*
%_menudir/*
%doc AUTHORS ChangeLog NEWS README TODO

%changelog
* Sun Jan 16 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.95.0-alt0.5beta6
- 0.9.5beta6.
- some i18n fixes.
- .desktop file.
- .jam mime description.

* Tue Sep 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.9.0-alt0.5
- First build for Sisyphus.
- Russian summary, description by avp@.
